This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 896219

Summary: Battery icon shows also mouse battery as laptop battery
Product: [Fedora] Fedora Reporter: James <theholyettlz>
Component: upowerAssignee: Richard Hughes <rhughes>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dan, hughsient, maksim.sinik, rhughes, theholyettlz, zlynx
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 807725 Environment:
Last Closed: 2013-01-16 16:23:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description James 2013-01-16 16:11:03 EST
+++ This bug was initially created as a clone of Bug #807725 +++

Created attachment 573365 [details]
dmesg of my system

Description of problem:
I use Razer pro|click bluetooth mouse and the problem is that gnome shows its battery state in system tray, and labels it as Latop Battery. Now it seems that i have 2 batteries so i never recive correct alerts about battery life...

Additional info:
[max@thinkpad ~]$ upower -e
/org/freedesktop/UPower/devices/line_power_AC
/org/freedesktop/UPower/devices/battery_BAT0
/org/freedesktop/UPower/devices/battery_hid_00o0FoF6o6Co95oB9_battery

[max@thinkpad ~]$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 004: ID 0a5c:217f Broadcom Corp. Bluetooth Controller

[max@thinkpad ~]$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)
05:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 03)
0d:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 07)

--- Additional comment from Jonathan Briggs on 2012-03-31 00:13:04 BST ---

I have this issue also, with an Apple Magic mouse.

It also seems to cause the power management to crash and for me, the laptop lid no longer suspends the machine. That only happens when the mouse has been connected.

I suspect a kernel update.

--- Additional comment from Dan Stahlke on 2012-08-27 23:30:29 BST ---

I forgot to plug my laptop in today.  The battery ran all the way to 0% and the machine went black, all without any warning from the power manager since it thought the battery in my bluetooth mouse would keep me going.  I didn't lose any work, but I hear that running a battery to 0% causes permanent loss of capacity.  Since there is the potential for hardware damage (loss of battery capacity) I personally consider this bug to be rather severe.

--- Additional comment from Fedora End Of Life on 2013-01-16 13:48:24 GMT ---

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from James Ettle on 2013-01-16 19:36:39 GMT ---

Still present in Fedora 18, please update version.

gnome-shell-3.6.2-6.fc18.x86_64
upower-0.9.18-2.fc18.x86_64

$ upower -e
/org/freedesktop/UPower/devices/line_power_AC
/org/freedesktop/UPower/devices/battery_BAT0
/org/freedesktop/UPower/devices/battery_hid_00o12oA1o68o7Do2C_battery

--- Additional comment from Jonathan Briggs on 2013-01-16 20:28:01 GMT ---

James, I think that if we follow the directions we're supposed to clone this bug to make a new F18 bug.
Comment 1 James 2013-01-16 16:23:02 EST
Apologies for the 2 copies of this clone. This was caused by the initial and second attempts failing with HTTP error 502.

See: https://bugzilla.redhat.com/show_bug.cgi?id=896223

*** This bug has been marked as a duplicate of bug 896223 ***